/* Main Content */
.crumItem p {
    color: #424a6b;
}

#mainContent .stars {
    color: transparent;
}

#mainContent .stars svg {
    cursor: pointer;
}

#mainContent .stars svg:hover {
    color: #23bf64;
}

#mainContent .scroll-btn {
    position: relative;
    border-radius: 10px;
}

.shortKey-btn.sticky {
    top: -48px;
    position: fixed;
    display: flex;
    width: 75%;
    justify-content: center;
    background: #fff;
    z-index: 10000;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 0 !important;
}


/* استایل برای جلوگیری از هم‌پوشانی عناصر */
.shortKey-btn a {
    display: inline-block;
    color: #fff;
}

.shortKey-btn a.active {
    background: var(--primary-color);;
    outline: none;
    color: #303445;
}

/* تنظیمات خاص برای موبایل */
@media (max-width: 767px) {
    .shortKey-btn {
        overflow-x: auto; /* فعال کردن اسکرول افقی */
        white-space: nowrap; /* جلوگیری از شکست خط */
        display: flex;
        width: 100% !important;
        scroll-behavior: smooth;


    }

    .shortKey-btn::-webkit-scrollbar {
        height: 4px;
    }

    .shortKey-btn::-webkit-scrollbar-thumb {
        background-color: #444444;
    }

    .shortKey-btn::-webkit-scrollbar-track {
        background-color: #f1f1f1;
    }
}

#story .stories .item {
    flex: 0 0 auto;
}

#story.sticky > .row {
    position: fixed;
    background: #303445;
    left: 10px;
    right: 10px;
    top: 0;
    padding: 20px 0 0;
    z-index: 100000;
}

#story #show-story .modal-content {
    background: transparent;

}

#story #add-story .modal-content {
    background: #20222F;
}

#story #show-story .modal-content video {
    background: #000;
}


#story .modal {
    background: rgba(0, 0, 0, .5)
}

#story .modal-body .submit {
    text-align: left;
}


#story .modal-dialog {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh; /* Make sure the modal takes up the full viewport height */
}

#story .stories .item img, .add-btn {
    width: 75px;
    height: 75px;
    border: 2px solid #e81c4d;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-bottom: 5px;
    padding: 3px;
}

#story .stories .item:hover {
    opacity: .4;
}

#story .stories .item .add-btn {
    color: var(--primary-color);
    background: var(--nav-color);
    border: 3px solid var(--primary-color);
}

#story .username {
    font-size: 14px;
    color: #fff;
}

#story .stories {
    flex-wrap: nowrap;
    overflow-x: auto;
}

#story .stories::-webkit-scrollbar {
    display: none; /* Optional: Hide scrollbar */
}

#story .stories::-webkit-scrollbar {
    display: none;
}

#story .upload-requirements {
    border: 1px solid #fff;
}

#story .upload-requirements ul li {
    position: relative;
    padding-right: 30px;
}

#story .upload-requirements ul li::before {
    content: '•';
    position: absolute;
    right: 10px;
    top: 5px;
    color: white;
    font-size: 1.5em;
    line-height: 1em;
}

#story audio {
    width: 90%;;
}

#mainContent .features {
    /*   border: 1px solid #23bf64;*/
    border-radius: 40px;
    padding: 20px;
}

#mainContent .features p {
    font-size: 1rem;
}

/* intro video */
.intro-video {
    height: 200px;
}

/* Course Season */

#mainContent .season .totalDet {
    margin-left: 10%;
    margin-bottom: 2%;
}

#mainContent .season .courseDetails {
    display: flex;
    align-items: start;
    justify-content: center;
}

#mainContent .season .courseDetails:nth-child(3) {
    border-left: none;
}

#mainContent .season .courseDetails svg {
    width: 20px;
    height: 20px;
    margin-left: 4px;
}

#mainContent .season .courseDetails p {
    font-size: 13px;
}

/* Accordions */
#mainContent .season .acc {
    position: relative;
    border-right: 2px dashed #fff;
    border-top: 2px dashed #fff;
    min-height: 100px;
}

#mainContent .season .acc .acc-item {
    position: relative;
    border-radius: 30px;
}

#mainContent .season .acc .acc-item {
    border: 2px solid #23bf6469;
    width: 95%;
    height: 60px;
    margin-right: 5%;
    margin-top: -3.5%;
    overflow: hidden;
    transition: all 0.4s;
}

@media screen and (max-width: 768px) {
    #mainContent .season .acc .acc-item {
        margin: 0;
        width: unset;

    }
}


#mainContent .season .acc .acc-item.active {
    height: 100%;
}

#mainContent .season .acc .acc-num {
    position: absolute;
    right: -2%;
    top: -20px;
    background-color: #23bf64;
    padding-top: 5px;
    color: #fff;
    font-weight: bold;
    border-radius: 50%;
    text-align: center;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;

}

#mainContent .season .acc .acc-num .index {
    color: var(--background-color);
}

#mainContent .season .acc:last-of-type {
    border-right: 0;
}

#mainContent .season .acc .acc-item .acc-header {
    cursor: pointer;

}

#mainContent .season .acc .acc-item .acc-header svg {
    width: 20px;
    height: 20px;
}

/* Accordion content */
#mainContent .season .acc .acc-item .acc-content {
    width: 90%;
    padding: 20px 0;
    margin: 0 auto;
}

/*
#mainContent .season .acc .acc-item .acc-content .course_episods {
    display: flex;
    align-items: center;
    column-gap: 5px;
}
*/

#mainContent .season .acc .acc-item .acc-content .course_episods svg {
    width: 25px;
    height: 25px;
}

#mainContent .season .videoModal {
    font-size: 14px;
}

@media screen and (max-width: 768px) {
    #mainContent .season .acc .acc-item {
        padding-top: 10px;
    }
}

/* Course Slider */
.swiper {
    height: 33rem;
}

.swiper-wrapper {
    max-height: 22rem;
    padding-top: 52px;
}

.swiper-slide .courseBanner {
    background-color: var(--nav-color);
    position: absolute;
    top: -50px;
    width: 90%;
    height: 120px;
    overflow: hidden;
}

.swiper-slide h3 {
    margin-top: 4rem;
    font-size: 1.6rem;
}

@media screen and (max-width: 768px) {
    .swiper-wrapper a h5 {
        font-size: 1.1rem;
    }

    .swiper-wrapper a p {
        font-size: 0.9rem;
    }
}

#mainContent h3 {
    text-align: center;
    font-weight: 900;
}

#mainContent #description h3 {
    -webkit-text-stroke: unset;
    text-align: right;
    margin-top: 5px;
    font-size: 18px;
    font-weight: 900;
    color: var(--primary-color);
}

#mainContent #description h2 {
    font-size: 25px;
    margin: 30px 0;
    font-weight: bolder;
}

#mainContent #description ul li strong {
    color: var(--primary-color);
}

#mainContent .needItem span {
    background-color: #23bf64;
    width: 20px;
    height: 20px;
    border-radius: 100%;
}

#mainContent .explain .explainTitleCircle {
    width: 20px;
    height: 20px;
    border: 1px solid #23bf64;
    border-radius: 100%;
}

#mainContent .explain .descText {
    height: 500px;
    overflow: hidden;
    margin-top: 20px;
}

#mainContent .moreDesc {
    position: absolute;
    width: 100%;
    height: 40px;
    backdrop-filter: blur(4px);
    opacity: 1;
    margin-top: -4%;
}

#mainContent .descText.open {
    height: 100%;
    margin-bottom: 5%;
    transition: all 0.4s;
}

/* Q & A */
#questions .qIcon {
    width: 20px;
    height: 20px;
}

#questions pre {
    text-wrap: wrap;
    font-family: inherit;
}

#questions .newQ {
    background: linear-gradient(
        79deg,
        rgba(78, 82, 96, 1) 0%,
        rgba(32, 34, 47, 1) 100%
    );
    border-radius: 20px;
    margin: 4% 0;
}

#questions .newA {
    display: none;
}

#questions .newQ textarea::placeholder {
    color: #fff;
}

#questions .newQ input,
textarea {
    border: 1px solid #23bf64;
    border-radius: 10px;
    background-color: transparent;
    color: #fff;
    padding: 0 10px;
}

#questions .newQ input[type="email"] {
    direction: ltr;
}

#questions .question {
    background: linear-gradient(
        79deg,
        rgba(78, 82, 96, 1) 0%,
        rgba(32, 34, 47, 1) 100%
    );
    border-radius: 20px;
    margin: 4% 0;
    padding: 20px;
}

#questions .avatar {
    width: 50px;
    height: 50px;
}

#questions .ansBorder {
    margin: -4% 16.5% 0;
}

#questions .ansBorder:nth-last-of-type(1) {
    transform: rotate(360deg);
}

#questions .ans {
    min-height: 120px;
    border-right: 2px dashed #23bf64;
    border-bottom: 2px dashed #23bf64;
}

#questions .answer {
    background: linear-gradient(
        180deg,
        #0b141b 15%,
        #23bf6459 100%,
        #0b141b 100%
    );
    margin-top: -5%;
    margin-right: 25%;
    width: 75%;
}

@media screen and (max-width: 728px) {
    #questions .answer {
        margin: unset;
        width: 100%;
    }
}

@media screen and (max-width: 320px) {
    iframe {
        height: 160px !important;
    }

    #mainContent h1 {
        font-size: 22px;
    }

    #mainContent h4 {
        font-size: 16px;
    }

    #mainContent .season .totalDet {
        margin: 0;
        width: 100%;
    }

    #mainContent .season .courseDetails {
        width: auto;
        padding: 0 10px;
    }

    .acc-header {
        font-size: 13px;
    }

    .acc-header .courseDetails p {
        font-size: 14px !important;
    }

    .acc-header svg {
        width: 18px !important;
    }
}

@media screen and (max-width: 768px) {

    iframe {
        height: 300px;
    }


    #mainContent .section-info {
        display: none !important;
    }

    #mainContent .lecture-info {
        width: 60px;
    }

    #mainContent .lecture-title {
        width: 160px;
    }

    #mainContent h1 {
        font-size: 20px;
    }

    #mainContent h3 {
        font-size: 16px;
    }

    #mainContent .date p {
        font-size: 15px;
    }

    #mainContent .needItem span {
        width: 10px;
        height: 10px;
        padding: 5px;
    }

    #mainContent .needItem p {
        font-size: 13px;
    }

    .swiper {
        padding-bottom: 20% !important;
    }

    .certificateImg {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .certificateImg img {
        width: 40%;
    }

    /*#questions p,
    button,
    h6 {
        font-size: 14px !important;
    }*/
    .question img.avatar {
        width: 10%;
        height: 10%;
    }

    .ansBorder {
        width: 20%;
        margin: -4% 10% 0% 0 !important;
    }

    footer {
        padding-bottom: 200px;
    }
}

@media screen and (max-width: 1024px) {
    #mainContent .season .acc {
        border: none;
    }

    #mainContent .season .acc .acc-num {
        display: none;
    }
}

/* Sidebar */
.courseDet {
    border-top: 4px solid #27975b;
    border-bottom: 4px solid #27975b;
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    object-fit: cover;
}

@media screen and (max-width: 991px) {
    .courseDet {
    height: auto;
    }
}

.afterAddedToBasketBtn {
    background: #3b82f6;
    border-radius: 20px;
    border: 1px solid #3b82f6;

}

.courseDet .afterAddedToBasketBtn:hover {

    background: transparent;

}

.scroll-add-to-basket {
    display: none;
}

.scroll-add-to-basket.fixed {
    bottom: 10px;
    position: fixed;
    display: flex;
    width: 75%;
    justify-content: center;
    background: #fff;
    z-index: 10000;
    left: 50%;
    transform: translateX(-50%);


}

@media screen and (max-width: 768px) {
    .scroll-add-to-basket.fixed {
        width: 100%;
        right: 0;
        bottom: 0;
        border-radius: 0 !important;
        padding: 20px 50px 20px 0 !important;
        transform: unset;
    }

    .scroll-add-to-basket.fixed #addToBasket {
        font-size: 14px !important;
        padding: 12px 15px !important;
    }

}

#addToBasket, .productBuy {

    animation: pulse 1s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.056);
    }
    100% {
        transform: scale(1);
    }
}


iframe {
    width: 100%;
    height: 200px;
    border-radius: 40px 40px 0 0;
    border-top: 2px solid #23bf64;
    object-fit: cover;
}

.courseDet .productBuy {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /*background-color: #0b141b;*/
    border-radius: 20px;
}

.courseDet .price {
    font-size: 2.5rem;
    letter-spacing: 2px;
}

.courseDet .productBuy div {
    padding: 8px;
}

#sideBar .sideVector {
    padding: 0 20%;
    margin-top: -6%;
}

#sideBar .sideVector img {
    z-index: -1;
}

#sideBar .sideVector img:nth-child(2) {
    transform: scaleX(-1);
}

.masterBox {
    padding: 5% 10%;
    margin-top: -2%;
    background: linear-gradient(180deg, #0b141b 10%, #23bf6459 50%, #0b141b 90%);
    border-radius: 20px;
    box-shadow: 0px 18px 18px 0px rgba(0, 0, 0, 0.26),
    0px 41px 25px 0px rgba(0, 0, 0, 0.15), 0px 73px 29px 0px rgba(0, 0, 0, 0.04),
    0px 115px 32px 0px rgba(0, 0, 0, 0.01), 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.masterBox img {
    width: 80px;
    height: 80px;
    border-radius: 100%;
}

/* Subscription */
.mSubscription {
    background-color: var(--primary-color);
    padding: 20px;
}

.mSubscription p {
    font-size: 13px;
    text-align: center;
}

.mSubscription button {
    font-size: 14px;
}

.mSubscription .sidebarArrow {
    width: 50px;
}

.mSubscription .sidebarArrow:nth-last-of-type(1) {
    transform: scaleX(-1);
}

#progress-circle {
    position: relative;
    width: 200px;
    height: 200px;
}

#progress-info {
    width: 175px;
    height: 175px;
    border-radius: 50%;
    background: #424a6b;
    font-size: 24px;
    color: #fff;
    line-height: 135px;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.progress-info-text {
    color: #fff; /* رنگ متن پیشرفت (قرمز) */
}

.countdown {
    direction: ltr;

}

.countdown-item {
    text-align: center;
    margin: 0 10px;

}

.countdown-item span {
    display: block;
}

.countdown .separator {
    place-self: flex-start;
    margin-top: 6px;
}

.countdown-item span:nth-child(2) {
    font-size: 10px;
}

.discount-price {
    position: relative;
    font-size: 1.5em;
    color: #8d8d8d;
}

.discount-price::before {
    content: '';
    position: absolute;
    top: 45%;
    left: 24%;
    width: 32%;
    height: 2px;
    background: rgba(193, 193, 193, 0.43);
    transform: rotate(-14deg);
    transform-origin: center;

}

.discount-percentage {
    background: rgb(232 28 77 / 55%);
    border-radius: 20px;
    height: 22px;
}

/*.discount-percentage span {
    animation: pulse 1s infinite alternate;
}*/

/*@keyframes pulse {
    from {
        font-size: .9em;
    }
    to {
        font-size: 1.7em;
    }
}*/
.discount-box {
    background: rgba(232, 28, 77, 0.14);
    position: relative;
}

.important-box {
    background: rgba(232, 28, 77, 0.14);
    border: 1px solid #e81c4d;
    border-radius: 10px;
    letter-spacing: 1px;
}

.free-lectures, #mainContent .season .acc .acc-num.free-lectures-number {
    background: rgb(0 22 60 / 99%) !important;
    border: 1px solid #1c61e8 !important;

}

.discount-box div:first-child {
    align-self: center;

}

/* ظرف نوار پیشرفت */
.progress-container {
    background-color: #fff;
    border-radius: 25px;
    overflow: hidden;
    width: 100%;
}

/* نوار پیشرفت */
.progress-bar {
    height: 7px;
    background-color: #e81c4d;
    border-radius: 0 25px 25px 0;
    transition: width 0.5s ease;
}

@media screen and (max-width: 768px) {
    main {
        margin: 30px auto 90px;
    }

    .courseDet .productBuy span {
        font-size: 12px;
    }

    .discount-box {
        margin-top: 70px;
        flex-wrap: wrap;
    }

    .progress-container {
        width: 100%;
    }

    .discount-box div:first-child img {
        position: absolute;
        top: -40px;
        left: 50%;
        transform: translatex(-50%);
    }

    .countdown {
        width: 100%;

    }
}

#sections {
    background: #0101012b;
    height: 627px;
    overflow: auto;
}

#sections .rotate-icon {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}

#sections .episodes {
    display: none;
    background: rgba(0, 0, 0, 0.29);

}

#sections .episodes li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.17);
    cursor: pointer;
}

#sections .episodes li.selected {
    background: #000000;
}

#sections .episodes li:last-child {
    border-bottom: none;
}

#sections .sectionList {
    cursor: pointer;
}

#sections .sectionList .episodes {
    border: 1px solid var(--primary-color);
}

#after-purchase .progress-container {
    position: sticky;
    top: 20px;
    z-index: 1000;
}

#after-purchase #sections ul.text-white {
    max-height: calc(100vh - 350px); /* ارتفاع دلخواه که بتواند اسکرول بخورد */
    overflow-y: auto; /* فعال کردن اسکرول در محور y */
}

@media screen and (max-width: 768px) {
    #course-register .row {
        flex-direction: column-reverse;
    }

}

#free-lectures .swiper-slide video {
    width: 100%;
    height: auto;
    transition: filter 0.3s ease;
}

#free-lectures .swiper-slide {
    filter: blur(5px);
/ opacity: 0.7;
}

#free-lectures .swiper-slide-active {

    filter: none !important;

}

#free-lectures .swiper-slide-active video {
    height: auto;
    filter: none;
    opacity: 1;

}

#free-lectures .swiper-pagination {
    position: absolute;
    bottom: -80px !important;
    left: 50% !important;
    transform: translateX(-50%);
    z-index: 10;
    width: auto;

}


#free-lectures .swiper-slide-active {
    transform: scale(1.2) !important;
    background: #23bf65;
}

@media (max-width: 768px) {
    #free-lectures .swiper-slide {
        transform: scale(1) !important;
    }

    #free-lectures .swiper-slide video {
        object-fit: cover;
    }

    #free-lectures .swiper-pagination {
        bottom: -50px !important;
        width: max-content;
    !important;
    }
}

#discount-code-modal #button-background {
    position: relative;
    width: 100%;
    height: 80px;
    border: white;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 11px;
    font-size: 1.3rem
}

@media (max-width: 768px) {
    #discount-code-modal #button-background {
        height: 50px;
        font-size: 16px;

    }
}

#discount-code-modal #slider {
    transition: width 0.3s, border-radius 0.3s, height 0.3s;
    position: absolute;
    left: 0;
    width: 90px;
    height: 90px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: pulse 1s infinite;
}

@media (max-width: 768px) {
    #discount-code-modal #slider {
        width: 70px;
        height: 70px;

    }
}

#discount-code-modal #slider.unlocked {
    transition: all 0.3s;
    width: inherit;
    left: 0 !important;
    height: inherit;
    border-radius: inherit;
}

input {
    width: 300px;
    padding: 10px;
    margin-right: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#discount-code-modal .discount-box-content input {
    height: 160px;
    background: transparent;
}
